Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Forum rules
Before you post please read this
Post Reply
gatons
Level 1
Level 1
Posts: 12
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons » Mon Oct 08, 2018 3:09 am

Here is nice post about configuring LBP 2900 printer on Ubuntu 18.04 https://riku.titanix.net/wordpress/cano ... -on-linux/. Strange, but this configuration not works on Linux Mint 19 Cinnamon. Maybe some 32-bit libs not installed on Mint or differrent Cups installation (configuration files is similar)?

Thanks.

deepakdeshp
Level 11
Level 11
Posts: 3935
Joined: Sun Aug 09, 2015 10:00 am

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by deepakdeshp » Mon Oct 08, 2018 7:31 am

Code: Select all

uname -r
gives the kernel version. Use the same kernel on Mint 19 as on Ubuntu 18.04 , reboot and test. Of course you need not do anything if both kernel are same,
If I have helped you solve a problem, please add [SOLVED] to your first post title, it helps other users looking for help, and keeps the forum clean.
I am using Mint 19 Cinnamon 64 bit with AMD A8/7410 processor . Memory 8GB

User avatar
administrollaattori
Level 15
Level 15
Posts: 5680
Joined: Tue Sep 03, 2013 4:51 am
Location: Finland
Contact:

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by administrollaattori » Mon Oct 08, 2018 2:55 pm

gatons wrote:
Mon Oct 08, 2018 3:09 am
Here is nice post about configuring LBP 2900 printer on Ubuntu 18.04 https://riku.titanix.net/wordpress/cano ... -on-linux/. Strange, but this configuration not works on Linux Mint 19 Cinnamon. Maybe some 32-bit libs not installed on Mint or differrent Cups installation (configuration files is similar)?

Thanks.
The site gives the wrong command for 32-bit libs. The right command is

Code: Select all

sudo dpkg --add-architecture i386

gatons
Level 1
Level 1
Posts: 12
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons » Mon Oct 08, 2018 11:42 pm

Code: Select all

uname -r

output

Code: Select all

4.15.0-36-generic
Try install all 32 libs:

Code: Select all

apt install ia32-libs
after that install missing 32 libs with command:

Code: Select all

apt install libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386 libblkid1:i386 libcom-err2:i386 libcups2:i386 libdatrie1:i386 libdbus-1-3:i386 libfontconfig1:i386 libfreetype6:i386 libgail-common:i386 libgail18:i386 libgcrypt20:i386 libgdk-pixbuf2.0-0:i386 libglib2.0-0:i386 libgmp10:i386 libgnutls30:i386 libgpg-error0:i386 libgraphite2-3:i386 libgssapi-krb5-2:i386 libharfbuzz0b:i386 libhogweed4:i386 libicu60:i386 libidn2-0:i386 libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386 libk5crypto3:i386 libkeyutils1:i386 libkrb5-3:i386 libkrb5support0:i386 liblz4-1:i386 liblzma5:i386 libmount1:i386 libnettle6:i386 libp11-kit0:i386 libpango-1.0-0:i386 libpangocairo-1.0-0:i386 libpangoft2-1.0-0:i386 libpangox-1.0-0:i386 libpangoxft-1.0-0:i386 libpcre3:i386 libpixman-1-0:i386 libpng16-16:i386 libselinux1:i386 libsystemd0:i386 libtasn1-6:i386 libthai0:i386 libtiff5:i386 libunistring2:i386 libuuid1:i386 libxcb-render0:i386 libxcb-shm0:i386 libxcomposite1:i386 libxcursor1:i386 libxft2:i386 libxi6:i386 libxinerama1:i386 libxrandr2:i386 libxrender1:i386 libatk1.0-0:i386 libavahi-client3:i386 libavahi-common-data:i386 libavahi-common3:i386 libblkid1:i386 libcairo2:i386 libcom-err2:i386 libcups2:i386 libdatrie1:i386 libdbus-1-3:i386 libfontconfig1:i386 libfreetype6:i386 libgail-common:i386 libgail18:i386 libgcrypt20:i386 libgdk-pixbuf2.0-0:i386 libglib2.0-0:i386 libgmp10:i386 libgnutls30:i386 libgpg-error0:i386 libgraphite2-3:i386 libgssapi-krb5-2:i386 libgtk2.0-0:i386 libharfbuzz0b:i386 libhogweed4:i386 libicu60:i386 libidn2-0:i386 libjbig0:i386 libjpeg-turbo8:i386 libjpeg8:i386 libk5crypto3:i386 libkeyutils1:i386 libkrb5-3:i386 libkrb5support0:i386 liblz4-1:i386 liblzma5:i386 libmount1:i386 libnettle6:i386 libp11-kit0:i386 libpango-1.0-0:i386 libpango1.0-0:i386 libpangocairo-1.0-0:i386 libpangoft2-1.0-0:i386 libpangox-1.0-0:i386 libpangoxft-1.0-0:i386 libpcre3:i386 libpixman-1-0:i386 libpng16-16:i386 libpopt0:i386 libselinux1:i386 libsystemd0:i386 libtasn1-6:i386 libthai0:i386 libtiff5:i386 libunistring2:i386 libuuid1:i386 libxcb-render0:i386 libxcb-shm0:i386 libxcomposite1:i386 libxcursor1:i386 libxft2:i386 libxi6:i386 libxinerama1:i386 libxml2:i386 libxrandr2:i386 libxrender1:i386
no results.... :(
My personal blog about LMDE (in latvian): https://gatons.id.lv/
and package repo (for example, e-signature soft eParakstitajs, awp etc. for usage in Latvia): https://gatons.id.lv/repo/

User avatar
administrollaattori
Level 15
Level 15
Posts: 5680
Joined: Tue Sep 03, 2013 4:51 am
Location: Finland
Contact:

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by administrollaattori » Tue Oct 09, 2018 3:14 am

#BE Sure replace the lp0 with your printerport do ls /dev/usb mine was lp1!!!

Code: Select all

lpstat -t
lpstat -a

gatons
Level 1
Level 1
Posts: 12
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons » Tue Oct 09, 2018 3:49 am

Already tried. :)

Printer port is /dev/usb/lp0. Permissions are correct - root.lp. User is in lp group. Chmod also correct.

Have some experiments with port ccp://localhost:59787 too. Nothing... Log files also displayed nothing :D
My personal blog about LMDE (in latvian): https://gatons.id.lv/
and package repo (for example, e-signature soft eParakstitajs, awp etc. for usage in Latvia): https://gatons.id.lv/repo/

User avatar
administrollaattori
Level 15
Level 15
Posts: 5680
Joined: Tue Sep 03, 2013 4:51 am
Location: Finland
Contact:

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by administrollaattori » Tue Oct 09, 2018 7:26 am

gatons wrote:
Tue Oct 09, 2018 3:49 am
Already tried. :)

Printer port is /dev/usb/lp0. Permissions are correct - root.lp. User is in lp group. Chmod also correct.

Have some experiments with port ccp://localhost:59787 too. Nothing... Log files also displayed nothing :D
Remove the printer from Printers and install it via Terminal. Let usb-cable be connected during an installation.

Code: Select all

sudo /usr/sbin/lpadmin -p LBP2900 -m CNCUPSLBP2900CAPTK.ppd -v ccp://localhost:59787
sudo /usr/sbin/ccpdadmin -p LBP2900 -o /dev/usb/lp0
sudo update-rc.d ccpd defaults

gatons
Level 1
Level 1
Posts: 12
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons » Tue Oct 09, 2018 7:31 am

Tried many times. :D Nothing.
My personal blog about LMDE (in latvian): https://gatons.id.lv/
and package repo (for example, e-signature soft eParakstitajs, awp etc. for usage in Latvia): https://gatons.id.lv/repo/

User avatar
administrollaattori
Level 15
Level 15
Posts: 5680
Joined: Tue Sep 03, 2013 4:51 am
Location: Finland
Contact:

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by administrollaattori » Tue Oct 09, 2018 7:34 am

gatons wrote:
Tue Oct 09, 2018 7:31 am
Tried many times. :D Nothing.
Check and/or replace the usb-cable.

Edit: Install first the next packages

Code: Select all

sudo apt-get install libc6:i386 libpopt0:i386
https://help.ubuntu.com/community/CanonCaptDrv190
Canon CAPT Printer Driver for 64-bit architecture include the proprietary closed-source 32-bit executable captfilter (called by pstocapt CUPS filter, used to convert PostScript data to CAPT data stream) which depends on 32-bit libraries libc6 and libpopt0. The libraries are not installed as dependencies. You can use the following commands to check whether the captfilter is working:

$ ldd /usr/bin/captfilter
Messages like "not a dynamic executable" or "libpopt.so.0 => not found" mean that your system affected by the problem. For a workaround install the following packages:

# apt-get install libc6:i386 libpopt0:i386

gatons
Level 1
Level 1
Posts: 12
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons » Tue Oct 09, 2018 2:39 pm

All libs loaded:

Code: Select all

ldd /usr/bin/captfilter
	linux-gate.so.1 (0xf7f2b000)
	libpopt.so.0 => /usr/lib/i386-linux-gnu/libpopt.so.0 (0xf7ef8000)
	libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf7d1c000)
	/lib/ld-linux.so.2 (0xf7f2d000)
no results :(
My personal blog about LMDE (in latvian): https://gatons.id.lv/
and package repo (for example, e-signature soft eParakstitajs, awp etc. for usage in Latvia): https://gatons.id.lv/repo/

User avatar
administrollaattori
Level 15
Level 15
Posts: 5680
Joined: Tue Sep 03, 2013 4:51 am
Location: Finland
Contact:

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by administrollaattori » Wed Oct 10, 2018 12:39 am

What are the results for the next commands?

Code: Select all

lpstat -t
lpstat -p
lpstat -a
lpq -l
lpc status all
To remove all jobs

Code: Select all

cancel -a

gatons
Level 1
Level 1
Posts: 12
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons » Thu Oct 11, 2018 4:36 am

Ok.. Now i switch back to Linux Mint 18.3 64-bit Cinnamon to continue experiments :) On 18.3 all works perfectly, but i install ONLY 32-bit drivers for Canon. A bit later will post here complete setup for printer and Samba. From Windows 10 Home client works perfectly. After that will switch back to Mint 19 and repeat. :)
My personal blog about LMDE (in latvian): https://gatons.id.lv/
and package repo (for example, e-signature soft eParakstitajs, awp etc. for usage in Latvia): https://gatons.id.lv/repo/

gatons
Level 1
Level 1
Posts: 12
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons » Mon Nov 05, 2018 3:01 pm

Setup for printer and samba shared printer on Linux Mint 18 and LMDE 3 64-bit versions

Using driver Linux_CAPT_PrinterDriver_V270_uk_EN from official Canon site, that contains also 32-bit version files.
  1. You need install 32-bit driver files only and dependencies with 'apt-get -f install' command.
  2. Enable printer and wait to printer auto detection - my printer detected and auto installed as LBP2900.
  3. Running installation commands, as described in documentation:
    • /usr/sbin/lpadmin -p LBP2900 -P /usr/share/cups/model/CNCUPSLBP2900CAPTK.ppd -v ccp://localhost:59687 -E
    • /usr/sbin/ccpdadmin -p LBP2900 -o /dev/usb/lp0 (my printer connected on /dev/usb/lp0)
    • service cups restart
    • /etc/init.d/ccpd start
    • touch /etc/rc.local
    • mcedit (i use Midnight Commander editor) /etc/rc.local and add content:

      Code: Select all

      #!/bin/bash
      /etc/init.d/ccpd stop
      /etc/init.d/ccpd start
      
    • chmod +x /etc/rc.local
  4. add following corrections to /etc/samba/smb.conf file:

    Code: Select all

    [printers]
       comment = All Printers
       browseable = yes
       path = /var/spool/samba
       printable = yes
       public = yes
       guest ok = no
       read only = yes
       create mask = 0700
       acl_xattr:ignore system acl = yes
    
    # Windows clients look for this share name as a source of downloadable
    # printer drivers
    [print$]
       comment = Printer Drivers
       path = /var/lib/samba/printers
       browseable = yes
       read only = yes
       guest ok = no
       acl_xattr:ignore system acl = yes
    
    # Uncomment to allow remote administration of Windows print drivers.
    # You may need to replace 'lpadmin' with the name of the group your
    # admin users are members of.
    # Please note that you also need to set appropriate Unix permissions
    # to the drivers directory for these users to have write rights in it
    ;   write list = root, @lpadmin
    
    
    [Canon LBP2900]
        comment=Canon LBP2900
        printer=LBP2900
        path=/var/spool/samba
        printing=cups
        printable=yes
        printer admin=@admin user1 user2
        user client driver=yes
        # to allow user 'guest account' to print.
        guest ok=no
        writable=no
        write list=@adm user1 user2
        valid users=@adm user1 user2
    
  5. I have dual boot system with Windows 10 installed. My Canon printer is installed on Windows system too. I copy content from C:/Windows/System32/spool/drivers to my /var/lib/samba/printers
  6. Add samba passwords for user1 and user2 with 'smbpasswd -a user1' etc.
  7. Now i can use printer from local pc and network pc with windows installed.
With Mint19 printer not work :D will continue experiments.
My personal blog about LMDE (in latvian): https://gatons.id.lv/
and package repo (for example, e-signature soft eParakstitajs, awp etc. for usage in Latvia): https://gatons.id.lv/repo/

gatons
Level 1
Level 1
Posts: 12
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons » Tue Nov 06, 2018 9:26 am

Wonder - where is the difference between cups config on Ubuntu 18.04 and Mint 19?

Why LBP2900 works on Ubuntu without problems, but on Mint (the same way CAPT driver installation) -> error message: 'ccp send_data error, exit'?...
My personal blog about LMDE (in latvian): https://gatons.id.lv/
and package repo (for example, e-signature soft eParakstitajs, awp etc. for usage in Latvia): https://gatons.id.lv/repo/

gatons
Level 1
Level 1
Posts: 12
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons » Thu Nov 08, 2018 2:02 pm

Printer also works on Ubuntu 18.10.
My personal blog about LMDE (in latvian): https://gatons.id.lv/
and package repo (for example, e-signature soft eParakstitajs, awp etc. for usage in Latvia): https://gatons.id.lv/repo/

gatons
Level 1
Level 1
Posts: 12
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons » Tue Dec 04, 2018 2:23 pm

Try on Mint 19.1 Beta. Not working.... :(
My personal blog about LMDE (in latvian): https://gatons.id.lv/
and package repo (for example, e-signature soft eParakstitajs, awp etc. for usage in Latvia): https://gatons.id.lv/repo/

gatons
Level 1
Level 1
Posts: 12
Joined: Mon Oct 08, 2018 2:50 am
Location: Latvia

Re: Canon LBP 2900 works on Ubuntu 18.04, but don't on Mint 19

Post by gatons » Thu Dec 06, 2018 9:52 am

My personal blog about LMDE (in latvian): https://gatons.id.lv/
and package repo (for example, e-signature soft eParakstitajs, awp etc. for usage in Latvia): https://gatons.id.lv/repo/

Post Reply

Return to “Printers & Scanners”